import datetime

from wx.dbTools import DBNongLi

nongli_days = ["初一", "初二", "初三", "初四", "初五", "初六", "初七", "初八", "初九", "初十",
               "十一", "十二", "十三", "十四", "十五", "十六", "十七", "十八", "十九", "廿十",
               "廿一", "廿二", "廿三", "廿四", "廿五", "廿六", "廿七", "廿八", "廿九", "三十"]


def run(year: int, month: str, day: str):
    dt = DBNongLi.query_first_by(year=year, month=month)
    if dt is not None:
        try:
            cur_index = nongli_days.index(day)
            start_date = dt.new_date
            delta = datetime.timedelta(days=cur_index)
            new_date = start_date + delta
            return new_date
        except Exception as e:
            print(e)
    return None
