from yixue.Models import BaZi, ZhenDuanItem


def run(bazi: BaZi):
    jianyi = []
    cankao = []
    # 会跟五行、十神性格冲突的放参考
    __check_in_dizhi__(bazi, jianyi, "羊刃", "身负羊刃，易起争执，伤人伤己。", True)
    __check_in_dizhi__(bazi, jianyi, "文昌", "文昌加持，头脑聪慧，过目不忘。", True)
    __check_in_dizhi__(bazi, cankao, "魁罡", "魁罡坐镇，尊严性极强，原则大于一切，易掌权也易得罪人。", False,
                       "印很弱的时候可能不成立")
    __check_in_dizhi__(bazi, jianyi, "驿马", "驿马加身，多奔波走动，出差或出国。", True)
    __check_in_dizhi__(bazi, cankao, "将星", "将星临身，杀伐果断，极具决断力。", False, "金很弱的时候可能不成立")
    if bazi.is_man:
        __check_in_dizhi__(bazi, jianyi, "天罗", "天罗缚身，人生多磨练，需要不断突破自己，不能安于现状。", True)
    else:
        __check_in_dizhi__(bazi, jianyi, "地网", "地网缚身，人生多磨练，需要不断突破自己，不能安于现状。", True)
    bazi.zhenduan.shensha.jianyi = jianyi
    bazi.zhenduan.shensha.cankao = cankao


def __check_in_dizhi__(bazi: BaZi, lst: [], key: str, content: str, is_jianyi: bool, tip: str = None):
    for dz in bazi.all_di_zhis():
        if dz.has_shen_sha(key):
            item = ZhenDuanItem(0, content)
            item.tip = tip
            if is_jianyi:
                item.set_selected(True)
            lst.append(item)
            break
