from django.urls import path

from wx.views import *

urlpatterns = [
    path("token", GetAccessToken.as_view(), name="token"),
    path("msg", UserMsg.as_view(), name="user_msg"),
    path("", UrlCheck.as_view(), name="url_check"),
    path("addMenu", UpdateMenu.as_view(), name="add_menu"),
    path("applyUserInfo", ApplyUserInfo.as_view(), name="apply_user_info"),
    path("login", LoginSystem.as_view(), name="login_system"),
    path("getSiZhu", GetSiZhu.as_view(), name="get_si_zhu"),
    path("getSiZhuByNongLi", GetSiZhuByNongLi.as_view(), name="get_si_zhu_by_nong_li"),
    path("getSiZhuByTexts", GetSiZhuByTexts.as_view(), name="get_si_zhu_by_texts"),
    path("calcNongLi", CalcNongLi.as_view(), name="calc_nong_li"),
    path("saveUser", SaveUser.as_view(), name="save_user"),
    path("loadUser", LoadUser.as_view(), name="load_user"),
    path("deleteUser", DeleteUser.as_view(), name="delete_user"),
]
