from yixue import Configs
from yixue.Models import BaZi, ZhenDuanItem


# 高能(冲引起的健康问题没写，暂时内容够了)
# 五行平衡，
# 门户(只写了金火，其他待补充)，
# 金木斗、水火斗
# 自刑
# 夺食(没写)）

def run(bazi: BaZi, wx_per: {}):
    jianyi = []
    cankao = []
    __about_menhu__(bazi, jianyi, cankao)
    __about_wuxing_dou__(bazi, jianyi, cankao, wx_per)
    __about_wuxing_power__(bazi, jianyi, cankao, wx_per)
    __about_zixing__(bazi, jianyi, cankao)
    bazi.zhenduan.jiankang.jianyi = jianyi
    bazi.zhenduan.jiankang.cankao = cankao


def __about_menhu__(bazi: BaZi, jianyi: [], cankao: []):
    # 金+火 = 皮肤过敏
    zhu_ary = [bazi.nian_gan, bazi.yue_gan, bazi.ri_gan, bazi.shi_gan, bazi.shi_zhi]
    has_jin = False
    has_huo = False
    for zhu in zhu_ary:
        if zhu.wu_xing == "金":
            has_jin = True
        elif zhu.wu_xing == "火":
            has_huo = True
    if has_jin and has_huo:
        item = ZhenDuanItem(0, "皮肤容易过敏。")
        item.set_selected(True)
        jianyi.append(item)


def __about_wuxing_dou__(bazi: BaZi, jianyi: [], cankao: [], wx_per: {}):
    # 金木斗、水火斗
    wx_mu = wx_per["木"] >= 20
    wx_jin = wx_per["金"] >= 20
    wx_huo = wx_per["火"] >= 20
    wx_shui = wx_per["水"] >= 20
    zuozhi_wuxing = bazi.ri_zhi.wu_xing
    if zuozhi_wuxing == "木":
        wx_mu = True
    elif zuozhi_wuxing == "金":
        wx_jin = True
    elif zuozhi_wuxing == "火":
        wx_huo = True
    elif zuozhi_wuxing == "水":
        wx_shui = True

    if wx_mu and wx_jin:
        item = ZhenDuanItem(0, "金木相斗，容易受外伤。")
        item.set_selected(True)
        jianyi.append(item)
    if wx_huo and wx_shui:
        item = ZhenDuanItem(0, "水火相斗，容易生闷气，要注意心脑血管方面的健康。")
        item.set_selected(True)
        jianyi.append(item)


def __about_wuxing_power__(bazi: BaZi, jianyi: [], cankao: [], wx_per: {}):
    wx_max = ""
    wx_min = []
    wx_max_value = 0
    values = []
    for wx in wx_per:
        if wx_per[wx] > wx_max_value:
            wx_max_value = wx_per[wx]
            wx_max = wx
        if wx_per[wx] == 0:
            wx_min.insert(0, wx)
        elif wx_per[wx] < 10:
            wx_min.append(wx)

    # 一个旺，两个衰
    content_wang = Configs.get_value(Configs.config_zhenduan_jiankang_wuxing, wx_max + "旺")
    if content_wang is not None:
        item = ZhenDuanItem(0, wx_max + "旺，容易", content_wang)
        item.set_selected(True)
        jianyi.append(item)

    for wx in wx_min:
        content = Configs.get_value(Configs.config_zhenduan_jiankang_wuxing, wx + "衰")
        item = ZhenDuanItem(0, wx + "衰，容易", content)
        item.set_selected(True)
        jianyi.append(item)


def __about_zixing__(bazi: BaZi, jianyi: [], cankao: []):
    texts = []
    for dz in bazi.all_di_zhis():
        for gn in dz.gaonengs:
            if gn.guanxi == "自刑":
                if not texts.__contains__(gn.text):
                    texts.append(gn.text)

    for txt in texts:
        content = Configs.get_value(Configs.config_zhenduan_jiankang_zixing, txt)
        item = ZhenDuanItem(0, txt + "，", content)
        item.set_selected(True)
        jianyi.append(item)
